## org.hibernate.engine
Class RowSelection

    java.lang.Object
      org.hibernate.engine.RowSelection

    public final class RowSelection

extends Object

Represents a selection of rows in a JDBC `ResultSet`

Author:
  Gavin King

Constructor Summary
`RowSelection()`

Method Summary
`boolean` `definesLimits()`
`Integer` `getFetchSize()`
`Integer` `getFirstRow()`
`Integer` `getMaxRows()`
`Integer` `getTimeout()`
`void` `setFetchSize(Integer fetchSize)`
`void` `setFirstRow(Integer firstRow)`
`void` `setMaxRows(Integer maxRows)`
`void` `setTimeout(Integer timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSelection

    public RowSelection()

Method Detail

### setFirstRow

    public void setFirstRow(Integer firstRow)

### getFirstRow

    public Integer getFirstRow()

### setMaxRows

    public void setMaxRows(Integer maxRows)

### getMaxRows

    public Integer getMaxRows()

### setTimeout

    public void setTimeout(Integer timeout)

### getTimeout

    public Integer getTimeout()

### getFetchSize

    public Integer getFetchSize()

### setFetchSize

    public void setFetchSize(Integer fetchSize)

### definesLimits

    public boolean definesLimits()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.